Summary:        A cross-platform clipboard module for Python
Name:           python-pyperclip
Version:        1.8.2
Release:        4%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/asweigart/pyperclip
Source0:        %{pypi_source pyperclip}

BuildArch:      noarch

%description
Pyperclip is a cross-platform Python module for copy and paste clipboard functions.

%package -n     python3-pyperclip
Summary:        A cross-platform clipboard module for Python
BuildRequires:  python3-devel python3dist(setuptools) python3dist(pytest) xorg-x11-server-Xvfb

%description -n python3-pyperclip
Pyperclip is a cross-platform Python module for copy and paste clipboard functions.

%prep
%autosetup -p1 -n pyperclip-%{version}
rm -rf pyperclip.egg-info

sed -i 's/\r$//' README.md docs/*

%build
%py3_build

%install
%py3_install

%check
%global __pytest /usr/bin/xvfb-run -a %{python3} -m pytest
%pytest -k 'not TestGtk and not TestXSel and not TestWlClipboard and not TestKlipper' -v

%files -n python3-pyperclip
%license LICENSE.txt
%doc AUTHORS.txt
%doc CHANGES.txt
%doc README.md
%{python3_sitelib}/pyperclip
%{python3_sitelib}/pyperclip-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 1.8.2-1
- initial build
